Download it now!
Bug 93695 - FILEOPEN DOC Wrong Chinese Numbering Character Displayed (compared with MSO)
Summary: FILEOPEN DOC Wrong Chinese Numbering Character Displayed (compared with MSO)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: CJK DOC-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2015-08-27 02:23 UTC by hank.liu
Modified: 2018-11-28 03:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Differences with OFFICE file (64.50 KB, application/msword)
2015-08-27 02:23 UTC, hank.liu
Details
Screenshot from LibO 5.0.1 (104.15 KB, image/jpeg)
2015-09-12 14:41 UTC, Buovjaga
Details
printscreen from LO 4.0.0.3 (90.44 KB, image/png)
2015-10-29 10:28 UTC, raal
Details
printscreen from LO 4.0.0.3 (30.20 KB, image/png)
2015-10-29 11:45 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hank.liu 2015-08-27 02:23:33 UTC
Created attachment 118210 [details]
Differences with OFFICE file

When I opened a document, it was found that the Chinese language was not the same as MS OFFICE.

(一) MS OFFICE display
(壱)libreoffice display
Comment 1 Buovjaga 2015-09-12 14:41:11 UTC
Created attachment 118637 [details]
Screenshot from LibO 5.0.1

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 Buovjaga 2015-09-12 14:43:55 UTC
Confirmed. See the last paragraph in the screenshot.
Comment 3 raal 2015-10-29 10:28:36 UTC
Created attachment 120068 [details]
printscreen from LO 4.0.0.3

Bug reproducible with Version: 4.5.0.0.alpha0+
Build ID: 57d6b92b69a31260dea0d84fcd1fc5866ada7adb

In Lo 4.0.0.3 - is it correct (see printscreen), regression?
Comment 4 Buovjaga 2015-10-29 11:10:35 UTC
(In reply to raal from comment #3)
> Created attachment 120068 [details]
> printscreen from LO 4.0.0.3
> 
> Bug reproducible with Version: 4.5.0.0.alpha0+
> Build ID: 57d6b92b69a31260dea0d84fcd1fc5866ada7adb
> 
> In Lo 4.0.0.3 - is it correct (see printscreen), regression?

Can you give a screenshot where the text above the orange text is shown?
As the comparison should be:
(一) MS OFFICE display
(壱)libreoffice display
Comment 5 raal 2015-10-29 11:45:50 UTC
Created attachment 120072 [details]
printscreen from LO 4.0.0.3
Comment 6 Buovjaga 2015-10-29 11:49:34 UTC
(In reply to raal from comment #5)
> Created attachment 120072 [details]
> printscreen from LO 4.0.0.3

Thanks.. sorry I messed up, I had the correct note in my older comment 2 :)
Comment 7 Kevin Suo 2016-04-07 08:42:06 UTC
Still reproduciable with
Version: 5.1.2.2 (x64)
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 2; OS Version: Windows 6.19; UI Render: default; 
Locale: zh-CN (zh_CN)
Win10.
Comment 8 Mark Hung 2017-03-06 13:19:14 UTC
The document use the numbering format code 11, which is msonfcDbNum2 0x0B japaneseCounting in MS document "Office Common Data Types and Objects Structures". Observing from MS Office (traditional Chinese), it's lowercase zh numbers instead of Arabic. I'm guessing that the result should be locale dependent, and wonder what it looks like in simplified Chinese and Japanese  ( and other locale ) version of MS Office respectively. Can anyone help?
Comment 9 Kevin Suo 2017-03-08 09:15:04 UTC
(In reply to Mark Hung from comment #8)

For simplified Chinese, it should be the following number format as described in i18npool/source/nativenumber/data/numberchar.h:

{ 0x3007, 0x4E00, 0x4E8c, 0x4E09, 0x56DB, 0x4E94, 0x516D, 0x4E03, 0x516B, 0x4E5D }, // Chinese Lower
Comment 10 Dennis Roczek 2017-03-08 12:24:45 UTC
Version: 5.2.5.1 (x64)
Build-ID: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
CPU-Threads: 4; BS-Version: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

still REPRO (sry, no newer version installed)
Comment 11 Kevin Suo 2017-11-27 07:58:21 UTC
Bug still reproducible on master.

I set back from NEEDINFO to NEW. Please explain whether other information is needed to help solve this.
Comment 12 QA Administrators 2018-11-28 03:47:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug